/*
Theme Name: CheerUp Child
Theme URI: http://theme-sphere.com/
Description: A child theme of CheerUp
Author: ThemeSphere
Author URI: http://theme-sphere.com
Template: cheerup
Version: 1.1
*/

:root {
    --app-page-max-width: 790px;
}

.optin_trigger {
    padding: 1.625rem 2.5rem;
    border-radius: 6px;
    font-size: 1.25rem;
    box-shadow: 1px 1px 5px 0px rgba(0,0,0,0.25);
}

.m-auto {
    margin: 0 auto;
    display: block;
}

.optin_form {
    padding-top: 2rem;
}

.optin_form .optin_form_control input {
    width: 100%;
    height: 42px;
    border-radius: 5px;
    margin-bottom: 1.5rem;
}

.optin_form .optin_submit input {
    padding: 1.5rem 3.5rem;
    border-radius: 8px;
    margin-bottom: 1rem;
}

.optin_form .optin_recaptcha {
    margin-bottom: 1.5rem;
}

.optin_form .optin_submit input:focus {
    outline: 1px dotted #f9b042;
}

.postid-2892 .featured .image-link #jarallax-container-0 div {
    background-position: 50% 8% !important;
}

ul.social-icons {
    display: none!important;
    visibility: hidden!important;
    height: 0!important;
    width: 0!important;
}
time.post-date {
    display: none!important;
}

.fa-twitter:before {
    content: "";
    display: block;
    width: 16px;
    height: 16px;
    background-image: url(https://argo.delta-cloud.com/wp-content/uploads/2026/06/x-twitter-brands-solid-full.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}


/* Layout */
.wrap {
    width: 100%;
    max-width: 1436px;
}
@media(max-width: 1536px) {
    .wrap {
        max-width: 100%;
        padding: 0 50px;
    }
}
@media(max-width: 1280px) {
    .wrap {
        padding: 0 35px;
    }
}
@media(max-width: 540px) {
    .wrap {
        padding: 0 25px;
    }
}
body.home .main.wrap > .ts-row,
body.archive .main.wrap > .ts-row,
body.search .main.wrap > .ts-row {
    display: flex;
    flex-direction: column-reverse;
    margin: 0;
}
body.home .main.wrap .main-content,
body.home .main.wrap .sidebar,
body.archive .main.wrap .main-content,
body.archive .main.wrap .sidebar,
body.search .main.wrap .main-content,
body.search .main.wrap .sidebar {
    width: 100%;
    padding: 0;
    margin: 0;
}
#search-3 {
    margin: 15px 0 10px;
}
ul.categories-list {
    margin-bottom: 80px;
}
ul.categories-list {
    flex-direction: row;
    flex-wrap: wrap;
    gap: 10px 25px;
    margin-top: 0;
}
ul.categories-list li {
    padding: 0;
    border: none;
}

.list-post .post-title {
    font-size: 26px;
    max-width: 100%;
}
@media(max-width: 767px) {
    .list-post .post-title {
        font-size: 21px;
    }
}
.grid-post .image-link img {
    width: 100%;
}

/* Header */
.main-head.nav-below {
    border-bottom: 1px solid #ebebeb;
}
.main-head.nav-below .title {
    padding: 25px 0;
}
.main-head.nav-below .title .logo-image {
    width: 230px;
    margin-bottom: -8px;
}
.navigation {
    position: sticky;
    top: 0;
}
.navigation .menu > li:first-child {
    margin-left: 0;
}
@media(min-width: 941px) {
    .main-head.nav-below .title {
        padding: 55px 0 10px;
    }
}

/* Home Page */
#homepage-banner .banner-image {
    height: 400px;
    background-color: #faf9dd;
    background-image: url(https://argo.delta-cloud.com/wp-content/uploads/2026/06/Argo_oakacorn.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}
#homepage-banner .banner-caption {
    padding: 25px 25px 0;
}
#homepage-banner .banner-caption p {
    font-size: 28px;
    line-height: 1.5;
    color: #edab1f;
    text-align: center;
    max-width: 700px;
    margin: 0 auto;
}
@media(min-width: 541px) {
    #homepage-banner .banner-caption {
        padding: 25px 35px 0;
    }
}

.homepage-grid {
    max-width: 1436px;
    margin: auto;
}
@media(max-width: 1536px) {
    .homepage-grid {
        max-width: 100%;
        padding: 0 50px;
    }
}
@media(max-width: 1280px) {
    .homepage-grid {
        padding: 0 35px;
    }
}
@media(max-width: 540px) {
    .homepage-grid {
        padding: 0 25px;
    }
}
.homepage-grid .wpb_column {
    margin-bottom: 30px;
}
.homepage-grid .vc-gitem-zone-height-mode-auto:before {
    padding-top: 60%;
}

/* Blog Single */
.author-box .image img {
    width: 82px;
    border-color: #fff8f6;
}
.section-head .title {
    background: #fff8f6;
}
.comment-form {
    margin-bottom: 0;
}

/* Footer */
.footer-logo img {
    width: 190px;
}
.contrast .lower-footer .copyright {
    float: none;
    text-align: center;
    margin-right: 0;
    max-width: initial;
}

/* App Page */
.app-page {
    --column-gap: 2em;
}
.app-page.wrap {
    max-width: 100%;
    padding: 0;
    margin: 0;
}
.app-page * {
    box-sizing: border-box;
}
.app-page .post-content > h2 {
    margin: 0 0 -5px;
    padding-top: 40px;
}
.app-page .wp-block-columns {
    justify-content: center;
    padding: 25px;
}
.app-page .wp-block-image {
    margin: 0;
}
.app-page .wp-block-image a,
.app-page .wp-block-image img {
    opacity: 1;
}

.app-page__banner .wp-block-column {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.app-page__banner .wp-block-heading {
    color: #fff;
}
.app-page__banner h1 {
    display: none;
}
.vergo-app-popup .app-page__banner-logo {
    margin-top: 30px;
}
.app-page__banner-logo img {
    width: 320px;
}
.app-page__banner h3 {
    text-align: center;
}
.app-page .app-page__read-more a {
    background: #fff;
    font-size: 12px;
    line-height: 35px;
    font-weight: 800;
    color: #000;
    padding: 2px 60px;
    border: 1px solid #e7e7e7;
}
.app-page .app-page__read-more a:hover {
    color: #fff;
    border-color: #000;
}
.app-page__banner .wp-block-column:last-child {
    flex-direction: column-reverse;
}
.app-page .app-page__banner-image {
    margin: 20px 0 0;
}
.app-page__banner-image img {
    width: 250px;
}
.app-page .app-page__banner-badge {
    width: 150px;
}

.app-page__features {
    row-gap: 25px;
}
.app-page__features + .app-page__features {
    padding-top: 0;
    margin-bottom: 15px;
}
.app-page__features h3 {
    margin: 15px 0;
}

.app-page__faq {
    padding-top: 40px !important;
    padding-bottom: 40px !important;
}
.app-page__faq h2 {
    margin: 0 0 35px;
}
.app-page__faq .schema-faq-section:not(:last-child) {
    margin-bottom: 25px;
}
.app-page__faq .schema-faq-section p {
    margin-bottom: 0;
}

.vergo-app-popup {
    opacity: 0;
    visibility: hidden;
    transition: all .3s;
    position: fixed !important;
    top: 0; right: 0; bottom: 0; left: 0;
    background: rgb(0 0 0 / 75%);
    z-index: 9999;
}
.vergo-app-popup.active {
    opacity: 1;
    visibility: visible;
}
.vergo-app-popup .popup-box {
    position: relative;
    top: 50%;
    left: 0;
    width: calc(100% - 50px);
    max-width: calc(var(--app-page-max-width) + 100px);
    height: 90vh;
    background: #fff8f6;
    border-radius: 20px;
    margin: auto;
    transform: translateY(-50%);
    overflow: hidden;
}
.vergo-app-popup .popup-load {
    height: 100%;
    overflow: auto;
    overscroll-behavior: none;
}
.vergo-app-popup .popup-close {
    position: absolute;
    top: 10px;
    right: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 35px;
    height: 35px;
    font-size: 15px;
    padding: 0;
    color: #fff;
    background: #edab1f;
    border-radius: 100%;
}
.vergo-app-popup .popup-close i {
    padding: 0 0 1px 2px;
}

@media (min-width: 541px) {
    .app-page .wp-block-columns {
        padding: 35px;
    }
    .vergo-app-popup .app-page__banner-logo {
        margin-top: 0;
    }
    .app-page__features {
        row-gap: 35px;
    }
    .app-page__features + .app-page__features {
        padding-top: 0;
        margin-bottom: 5px;
    }
    .vergo-app-popup .popup-box {
        width: calc(100% - 70px);
    }
}
@media (min-width: 782px) {
    .app-page .wp-block-columns .wp-block-column {
        max-width: calc((var(--app-page-max-width) - var(--column-gap)) / 2);
    }
    .app-page__banner.wp-block-columns {
        padding: 40px 35px;
    }
    .app-page__banner .wp-block-column {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    .app-page__banner.wp-block-columns .wp-block-column:first-child {
        max-width: calc((var(--app-page-max-width) - var(--column-gap)) * .65);
    }
    .app-page__banner.wp-block-columns .wp-block-column:last-child {
        max-width: calc((var(--app-page-max-width) - var(--column-gap)) * .35);
    }
    .app-page__banner h3 {
        text-align: left;
    }
    .wp-block-buttons:has(> .app-page__read-more), .app-page .app-page__banner-badge {
        margin-top: auto;
    }
    .app-page__banner .wp-block-column:first-child {
        align-items: start;
    }
    .app-page__banner .wp-block-column:last-child {
        flex-direction: column;
    }
    .app-page .app-page__banner-image {
        margin: 0 0 20px;
    }
    .app-page__faq.wp-block-columns .wp-block-column {
        max-width: var(--app-page-max-width);
    }
}
@media (min-width: 1281px) {
    .vergo-app-popup .popup-box {
        width: calc(100% - 100px);
    }
}

/* Resources pages */
.resources-page .wp-block-image {
    margin: 0;
}
.resources-page .wp-block-image a:hover,
.resources-page .wp-block-image img:hover {
    opacity: 1;
}
.resources-page .wp-block-image + .wp-block-heading {
    margin: 60px 0 15px;
}

.resources-page .pdf-img {
    margin-bottom: 35px;
}
.resources-page .pdf-img + .wp-block-file .wp-block-file__button {
    padding: 12px 19px;
    border: 1px solid #ddd;
    color: #555;
    background: transparent;
    font-size: 11px;
    font-weight: 600;
    letter-spacing: 0.1em;
    line-height: 1;
    border-radius: 0;
    margin-left: 20px;
}
.resources-page .pdf-img + .wp-block-file .wp-block-file__button:hover {
    background: #161616;
    border-color: #161616;
    color: #fff;
}

.resources-page-app-banner {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
    background: #faf9dd;
    padding: 0 25px 55px;
    margin-top: 190px;
    color: #fff;
    text-align: center;
}
.resources-page-app-banner h3 {
    color: #fff;
}
.resources-page-app-banner img {
    display: block;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
}
.resources-page-app-banner__phone {
    max-width: 285px;
    margin-top: -125px;
}
.resources-page-app-banner__logo {
    max-width: 320px;
}
.resources-page-app-banner__buttons {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}
.resources-page-app-banner .menu-item-vergo-app {
    background: #fff;
    font-size: 12px;
    line-height: 35px;
    font-weight: 800;
    color: #000;
    letter-spacing: 0.09em;
    text-transform: uppercase;
    padding: 2px 60px;
    border: 1px solid #e7e7e7;
}
.resources-page-app-banner .menu-item-vergo-app:hover {
    background: #000;
    color: #fff;
    border-color: #000;
}
.resources-page-app-banner__buttons img {
    max-width: 209.66px;
}

@media(min-width: 541px) {
    .resources-page .wp-block-image:not(.pdf-img) {
        width: 50%;
        margin: auto;
    }
}
@media(min-width: 782px) {
    .resources-page-app-banner {
        flex-direction: row-reverse;
        padding: 55px 35px;
    }
    .resources-page-app-banner > * {
        flex: 1;
    }
    .resources-page-app-banner .resources-page-app-banner__phone {
        margin-top: -180px;
        margin-left: 0;
    }
    .resources-page-app-banner > div:has(.resources-page-app-banner__content) {
        display: flex;
        flex-direction: column;
        align-items: flex-end;
    }
    .resources-page-app-banner__content {
        width: fit-content;
    }
}
